#include <stdio.h>
#include <stdlib.h>

void swap(int *x,int *y)
{
    int temp;
    temp=*x; // the content of a adress.
    *x=*y; // the content of b adress.
    *y=temp;
}

int main()
{
    int a=5;
    int b=6;

    printf("%d %d\n",a,b);
    swap(&a,&b); // a'nin adresi x'e gider. b'nin adresi y'ye gider.
    printf("%d %d",a,b);

    return 0;
}
